Bug 41319 - rpm core dumps
rpm core dumps
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-18 15:15 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-20 09:14:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-18 15:15:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.4 i686)

Description of problem:
After update to RH7.1--->
rpm seg faults when doing 'rpm --erase'.  In some cases, I ran rpm
--rebuilddb
and I could then remove the package, but in some cases (e.g. below)
this does not help:

[root@marmot /root]# rpm -q gnome-core
gnome-core-1.2.4-16
[root@marmot /root]# rpm -e gnome-core
Segmentation fault (core dumped)

"rpm -q rpm" gives
rpm-4.0-4
"which rpm" gives
/bin/rpm
and "rpm --version" gives
RPM version 4.0

I'd give you some more information, but given that rpm is 'stripped'
there's
not much more to be had.

How reproducible:
Always

Steps to Reproduce:
1. rpm --erase gnome-core
2.
3.
	

Actual Results:  Segmentation fault (core dumped)


Additional info:
Comment 1 Jeff Johnson 2001-05-20 09:14:03 EDT
You appear not to have upgraded to rpm-4.0.2, and you will need to do that.

Where did you get gnome-core from, ximian?

At this poing you will probably have to install rpm using rpm2cpio or from
tar ball at ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x
Comment 2 Need Real Name 2001-05-21 13:45:08 EDT
Loaded rpm 4.0.2 from rpm.org
It gave stupid messages about  'db1' until I did an
 rpm --rebuilddb
It now seems functional.
Note, the broken rpm, and all the .rpms it core dumped
 on, came from RH7.1 -- sounds like RH needs an
 update to 7.1
-Steve Ashe (steve.ashe@minolta-qms.com)

Note You need to log in before you can comment on or make changes to this bug.